import 'package:flutter/material.dart';
import 'package:tdesign_flutter/tdesign_flutter.dart';

class LoadingWidget extends StatelessWidget {
  final String text;
  const LoadingWidget({super.key, this.text = '加载中…'});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: TDLoading(
        size: TDLoadingSize.medium,
        icon: TDLoadingIcon.circle,
        text: text,
        axis: Axis.vertical,
      ),
    );
  }
}
